import controlP5.*;

ControlP5 ui;

Slider tx;
Slider ty;
Slider sx;
Slider sy;
Slider theta;

void setup()
{
  size( 500, 500 );

  ui = new ControlP5( this );

  tx = ui.addSlider( "Translate X" )
    .setRange( 0, width )
    .setValue( width / 2 )
    .setSize( 200, 20 )
    .setPosition( 5, 5 );
  ty = ui.addSlider( "Translate Y" )
    .setRange( 0, height )
    .setValue( height / 2 )
    .setSize( 200, 20 )
    .setPosition( 5, 30 );
  sx = ui.addSlider( "Scale X" )
    .setRange( 0.1, 10 )
    .setSize( 200, 20 )
    .setValue( 1 )
    .setPosition( 5, 55 );
  sy = ui.addSlider( "Scale Y" )
    .setRange( 0.1, 10 )
    .setSize( 200, 20 )
    .setValue( 1 )
    .setPosition( 5, 80 );
  theta = ui.addSlider( "Rotate" )
    .setRange( 0, 360 )
    .setSize( 200, 20 )
    .setValue( 0 )
    .setPosition( 5, 105 );
}

void draw()
{
  background( 0 );
  fill( 255 );
  noStroke();
  
  pushMatrix();
  translate( tx.getValue(), ty.getValue() );
  rotate( radians( theta.getValue() ) );
  scale( sx.getValue(), sy.getValue() );
  
  rect( -50, -50, 100, 100 );
  popMatrix();
}